<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
  <meta name="description" content="" />
  <meta name="author" content="" />
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Sofia">
</head>

<body style="background-color:#181b20">
  <app-navbar></app-navbar>
  <div>
    <header class="masthead2"
      style="background-image:  linear-gradient(to top, rgb(24 27 32), rgb(25 28 33 / 90% ), rgb(24 27 32 / 75%), rgb(24 27 32 / 28%), rgb(24 27 32 / 0%), rgb(24 27 32 / 0%)), url({{imagen}})">
      <div class="container">
        <div class="masthead2-heading ">Contacto</div>
      </div>
    </header>
  </div>
  <section class="ftco-section" style="margin-top:3%; margin-bottom:3%;">
    <form [formGroup]="contactForm">
      <div class="container">
        <div class="row justify-content-center">
          <div class="col-md-12">
            <div class="wrapper">
              <div class="row no-gutters">
                <div class="col-lg-8 col-md-7 order-md-last d-flex align-items-stretch">
                  <div class="contact-wrap w-100 p-md-5 p-4">
                    <h4 style="color: white;">Para poder contactarse complete el siguiente formulario</h4>
                    <h6 style="color: white;">Los campos con * son requeridos</h6>
                    <div id="form-message-warning" class="mb-4"></div>
                    <div id="form-message-success" class="mb-4">
                    </div>
                    <div class="row">
                      <div class="col-md-6">
                        <div class="form-group">
                          <label class="label" for="name">*Nombre</label>
                          <input type="text" class="form-control" formControlName="nombre" id="nombre"
                            placeholder="Ingrese su nombre y apellido" #nombre>
                        </div>
                      </div>
                      <div class="col-md-6">
                        <div class="form-group">
                          <label class="label" for="email">*Teléfono</label>
                          <input type="text" class="form-control" formControlName="telefono" name="telefono"
                            id="telefono" placeholder="987654321" #telefono onkeypress="return event.charCode>=48 && event.charCode<=57"
                            required maxlength="9">
                        </div>
                      </div>
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="label" for="correo">*Correo</label>
                          <input type="email" class="form-control" formControlName="correo" name="correo" id="correo"
                            placeholder="ejemplo@gmail.com" #correo>
                        </div>
                      </div>
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="label" for="asunto">*Asunto</label>
                          <input type="text" class="form-control" formControlName="asunto" name="asunto" id="asunto"
                            placeholder="Ingrese el asunto del correo" #asunto>
                        </div>
                      </div>
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="label" for="mensaje">*Mensaje</label>
                          <textarea name="mensaje" class="form-control" formControlName="mensaje" id="mensaje" cols="30"
                            rows="4" placeholder="Ingrese su mensaje" #mensaje></textarea>
                        </div>
                      </div>
                      <div class="col-md-12">
                        <div class="form-group">
                          <button type="submit" class="btn btn-primary mr-2" [disabled]="this.contactForm.invalid" (click)="enviarContacto(contactForm.value)">Enviar mensage</button>
                          <div class="submitting"></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-lg-4 col-md-5 d-flex align-items-stretch">
                  <img src="../../../../../assets/IMG_8507.jpeg" width="auto" style="border-radius: 10px; width: inherit;">
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </form>
  </section>
</body>
<app-footer></app-footer>

</html>
